<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ejercicio_28</title>
</head>
<body>
    <h1>Ejercicio 28</h1>

    <script> 

    let edad = Array(50),
    sexo = Array(50),
    min1 = 1,
    max1 = 99,
    min2 = 1,
    max2 = 3;

    for (var i = 1; i < 51; i++ ) {
        edad[i] = Math.floor(Math.random() * (max1 - min1) + min1);
        sexo[i] = Math.floor(Math.random() * (max2 - min2) + min2);
        //console.log(`Edad: ${edad[i]}, Sexo: ${sexo[i]}`);
    }

    const clasificacion = () => {
        let masculinoMayor = 0,
            femeninoMenor = 0,
            mayor = 0,
            menor = 0;

        for (var i = 1; i < 51; i++ ) {

            if (sexo[i] == 1 && edad[i] > 18) {
                masculinoMayor ++;                
            }
            if (sexo[i] == 2 && edad[i] < 18) {
                femeninoMenor ++;
            }
            if (edad[i] > 18) {
                mayor ++;
            } else {
                menor ++;
            }
        }
        var porcenMayores = (mayor/50) * 100;
        var porcenMenores = 100 - porcenMayores;
        console.log(`Hombres mayores: ${masculinoMayor}, Mujeres menores: ${femeninoMenor},
        Personas Mayores: ${mayor}, Personas Menores: ${menor},
        Porcentaje de Mayores: ${porcenMayores}%, Pocentaje de Menores ${porcenMenores}%.`);        
    }
clasificacion();
    </script>
    
    
</body>
</html>